Subject: Re: ghostscript binmode weirdness
From: "Gregory W. Bond" <[email-masked]>
To: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
Cc: [email-masked]
Date: Fri, 07 Dec 2001 10:43:11 -0500

thanks for the reply larry - i realize that fixing the ghostscript port would
be a solution, but my impression from reading the cygwin user manual is that
setting CYGWIN to binmode could serve as a workaround - in my case it didn't
and i don't understand why - i'm beginning to suspect that cygwin is ignoring
that i've set CYGWIN to binmode which would be a cygwin bug

"Larry Hall (RFK Partners, Inc)" wrote:

> At 11:56 PM 12/6/2001, Gregory W. Bond wrote:
> >i cannot get ghostscript to generate non-corrupted pdf files unless
> >everything is happens on binmode mounts - is there no way that i can
> >force binmode treatment on a text mount? i've read and re-read the
> >cygwin manual and experimented with a zillion variations but nothing
> >seems to work
> >
> >i've isolated the problem to the point when ghostscript writes the pdf
> >file - if it writes the file to a textmode mount it is guaranteed to be
> >corrupted due to the translation of LF to CRLF - i can't seem to prevent
> >this from occurring even when the CYGWIN var is set to binmode prior to
> >launching any cygwin shell - i wish i could move all my mounts to
> >binmode but this will screw up too many other things - anyone have any
> >suggestions for me?
>
> Best suggestion - port ghostscript properly so that it always writes
> binary files where it needs to.
>
> Everything else is just a hack to avoid this eventuality...
>
> Good luck,
>
> Larry Hall                              [email-masked]
> RFK Partners, Inc.                      http://www.rfk.com
> 838 Washington Street                   (508) 893-9779 - RFK Office
> Holliston, MA 01746                     (508) 893-9889 - FAX

--
Gregory W. Bond
AT&T Labs - Research
180 Park Avenue, Rm. D273, Bldg. 103
P.O. Box 971, Florham Park, NJ, 07932-0971, USA
tel: (973) 360 7216 fax: (973) 360 8187

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/